/*
 * Copyright (C) 2005-2012 Alfresco Software Limited.
 * This file is part of Alfresco
 * Alfresco is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * Alfresco is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License
 * along with Alfresco. If not, see <http://www.gnu.org/licenses/>.
 */
package org.alfresco.po.share.site.discussions;

import static org.alfresco.po.RenderElement.getVisibleRenderElement;

import org.alfresco.po.RenderTime;

/**
 * Add Event form page object
 * relating to Share site Calendar page
 *
 * @author Marina Nenadovets
 */

public class NewTopicForm extends AbstractTopicForm
{

    @SuppressWarnings("unchecked")
    @Override
    public NewTopicForm render(RenderTime timer)
    {
        elementRender(timer,
            getVisibleRenderElement(TITLE_FIELD),
            getVisibleRenderElement(SAVE_BUTTON),
            getVisibleRenderElement(CANCEL_BUTTON));

        return this;
    }

    @SuppressWarnings("unchecked")
    @Override
    public NewTopicForm render()
    {
        return render(new RenderTime(maxPageLoadingTime));
    }
}
